# Measurement Tool for Google Maps API V3

A handy measurement widget for Google Maps API v3. The functionalities are implemented as close as to what current Google Maps offers.

## Demo
[Visit demo page](https://www.leafyjava.com/projects/measuretool)

![demo screen shot](https://raw.githubusercontent.com/zhenyanghua/MeasureTool-GoogleMaps-V3/master/demo.jpg)

## User usage
1. To **start** measuring, *right click* the map and choose **Measure distance**.
1. *Left click* the map, and the measurement between the two locations will display. Keep clicking to **add** more measurement waypoints.
1. To **remove** a waypoint, *left click* on the waypoint *(the first point cannot be removed)*.
1. To **insert** a waypoint on the measurement line, click the line. Waypoints can be moved by *clicking and dragging* them.
1. When the *first* point and the *last* point are close enough, the **area** will display.
1. To **end** measuring, *right click* the map and choose **Clear measurement**.

## Documentations
- [Change List](https://github.com/zhenyanghua/MeasureTool-GoogleMaps-V3/blob/master/docs/CHANGES.md)
- [Developer Guide](https://github.com/zhenyanghua/MeasureTool-GoogleMaps-V3/blob/master/docs/GUIDE.md)
- [API Reference](https://github.com/zhenyanghua/MeasureTool-GoogleMaps-V3/blob/master/docs/REFERENCE.md)